Page MenuHomePhabricator

[compiler-rt] [lsan] Add support for AArch64
ClosedPublic

Authored by zatrazz on Sep 23 2015, 10:22 AM.

Details

Summary

This patch add support for leak sanitizer for aarch64. Similar to
MIPS it uses a SizeClassAllocator32 due VMA constraints (aarch64
currently supports 39 and 42-bit VMA).

Diff Detail

Event Timeline

zatrazz updated this revision to Diff 35525.Sep 23 2015, 10:22 AM
zatrazz retitled this revision from to [compiler-rt] [lsan] Add support for AArch64.
zatrazz updated this object.
zatrazz added reviewers: kcc, eugenis, pcc, rengolin, samsonov.
zatrazz added a subscriber: llvm-commits.
samsonov edited edge metadata.Sep 23 2015, 11:54 AM

Does the LSan test suite pass after this change?

lib/lsan/lsan_common.h
25

Nope, the brackets are wrong here.

rengolin edited edge metadata.Sep 23 2015, 7:07 PM

What about the CMake changes?

Does the LSan test suite pass after this change?

Yes, I see no failures.

What about the CMake changes?

It does add arm64 as a supported one.

lib/lsan/lsan_common.h
25

Right, I will fix it.

zatrazz updated this revision to Diff 35690.Sep 24 2015, 5:18 PM
zatrazz edited edge metadata.

Updated patch with rebase against master and some indentation fixes.

I'm ok with the patch. If Alexey is happy with it, I'm too.

cmake/config-ix.cmake
268

Right, here it is. Sorry, I reviewed on my mobile and somehow I didn't see it here. :)

samsonov accepted this revision.Sep 29 2015, 3:19 PM
samsonov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Sep 29 2015, 3:19 PM
zatrazz closed this revision.Oct 5 2015, 12:18 PM